Bug 840937 - sssd tries to re-connect very frequently after a GSSAPI connection failure.
sssd tries to re-connect very frequently after a GSSAPI connection failure.
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: SSSD Maintainers
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 12:31 EDT by Kaushik Banerjee
Modified: 2015-04-24 07:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-24 07:23:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sssd_DOMAIN.log on an i386 machine (153.32 KB, application/octet-stream)
2012-07-17 12:31 EDT, Kaushik Banerjee
no flags Details

  None (edit)
Description Kaushik Banerjee 2012-07-17 12:31:17 EDT
Created attachment 598688 [details]
sssd_DOMAIN.log on an i386 machine

Description of problem:
sssd tries to re-connect many times after a GSSAPI connection failure.

Version-Release number of selected component (if applicable):
1.8.0-32

How reproducible:
Always

Steps to Reproduce:
1. Setup sssd for GSSAPI(refer additional info).
2. Configure sssd for the GSSAPI connection to fail(1. Add ldap_sasl_minssf=999 to the domain section. OR 2. Make the hostname unresolvable) Restart sssd.
3. Lookup a user.
  
Actual results:
User lookup fails as expected. But from the logs it seems, sssd continuously tries to re-connect to the server.

/var/log/messages show:
Jul 17 11:27:43 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:52 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:53 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:54 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:55 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:56 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:57 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:58 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:27:59 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:28:00 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:28:01 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:28:02 hp-dc5800-01 sssd_be: No worthy mechs found
Jul 17 11:28:03 hp-dc5800-01 sssd_be: No worthy mechs found


Expected results:
sssd shouldn't keep trying to connect so frequently.

Additional info:
Domain section of my sssd.conf
[domain/LDAP-KRB5]
debug_level=0xFFF0
id_provider = ldap
ldap_uri = ldap://SERVER
ldap_search_base = dc=example,dc=com
auth_provider = krb5
krb5_server = SERVER
krb5_realm = EXAMPLE.COM
ldap_sasl_mech = GSSAPI
ldap_sasl_authid = host/CLIENT
ldap_sasl_minssf=999
Comment 2 Jakub Hrozek 2012-07-17 16:15:36 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1425
Comment 9 Jakub Hrozek 2014-07-02 10:51:30 EDT
The upstream ticket is targeting 1.13, reproposing BZ to 7.2
Comment 10 Martin Kosek 2015-04-24 07:23:16 EDT
Thank you taking your time and submitting this request for Red Hat Enterprise Linux. Unfortunately, this bug was not given a priority and was deferred both in the upstream project and in Red Hat Enterprise Linux.

Given that we are unable to fulfill this request in following Red Hat Enterprise Linux releases, I am closing the Bugzilla as DEFERRED. To request that Red Hat re-considers the decision, please re-open the Bugzilla via appropriate support channels and provide additional business and/or technical details about its importance to you.

Note that you can still track this request or even contribute patches in the referred upstream Trac ticket.

Note You need to log in before you can comment on or make changes to this bug.